%define name	libass
%define version	0.10.1

%define major	4
%define libname	%mklibname ass %{major}
%define devname	%mklibname ass -d

Summary:	Library for SSA/ASS subtitles rendering
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
License:	ISC
Group:		System/Libraries
URL:		http://code.google.com/p/libass/
Source:		http://libass.googlecode.com/files/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(enca)
BuildRequires:	pkgconfig(fontconfig) >= 2.4.2
BuildRequires:	pkgconfig(freetype2) >= 9.10.3
BuildRequires:	pkgconfig(fribidi) >= 0.19.0
BuildRequires:	pkgconfig(libpng) >= 1.2.0

%description
Libass is a portable library for SSA/ASS subtitles rendering.

%package -n	%{libname}
Summary:	Shared library for SSA/ASS subtitles rendering
Group:		System/Libraries

%description -n	%{libname}
Libass is a portable library for SSA/ASS subtitles rendering.

%package -n	%{devname}
Summary:	Development files for libass development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	ass-devel = %{version}-%{release}
Provides:	libass-devel = %{version}-%{release}

%description -n	%{devname}
Libass is a portable library for SSA/ASS subtitles rendering.

This package contains the files for developing applications which
will use libass.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libass.so.%{major}*

%files -n %{devname}
%doc Changelog COPYING
%{_libdir}/libass.so
%{_includedir}/ass
%{_libdir}/pkgconfig/%{name}.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.10.1-2.mga3
+ Revision: 356824
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 luigiwalser <luigiwalser> 0.10.1-1.mga3
+ Revision: 334815
- 0.10.1

* Sun Dec 11 2011 fwang <fwang> 0.10.0-1.mga2
+ Revision: 180735
- new version 0.10.0

* Tue Sep 13 2011 fwang <fwang> 0.9.12-2.mga2
+ Revision: 142874
- drop .la files

* Mon Jul 04 2011 ahmad <ahmad> 0.9.12-1.mga2
+ Revision: 117977
- Update to 0.9.12
- Upstream changed the license to ISC

* Sun Jan 16 2011 anssi <anssi> 0.9.11-3.mga1
+ Revision: 20241
- imported package libass

